Loading...
Searching...
No Matches
OBAngle Class Reference

`#include <openbabel/generic.h>`

## Public Member Functions

| OBAngle (const OBAngle &)
| ~OBAngle ()
OBAngle & | operator= (const OBAngle &)
bool | operator== (const OBAngle &)
void | Clear ()
double | GetAngle () const
void | SetAngle (double angle)
void | SetAtoms (OBAtom *vertex, OBAtom *a, OBAtom *b)
void | SetAtoms (triple< OBAtom *, OBAtom *, OBAtom * > &atoms)

## Protected Member Functions

| OBAngle ()
| OBAngle (OBAtom *vertex, OBAtom *a, OBAtom *b)
triple< OBAtom *, OBAtom *, OBAtom * > | GetAtoms ()
void | SortByIndex ()

## Protected Attributes

OBAtom * | _vertex
std::pair< OBAtom *, OBAtom * > | _termini
double | _radians

## Friends

class | OBMol
class | OBAngleData

## Detailed Description

Used to hold the 3 atoms in an angle and the angle itself.

## Constructor & Destructor Documentation

## OBAngle() [1/3]

OBAngle | ( |  | ) |

protected

Angle default constructor.

Referenced by OBAngle(), operator=(), and operator==().

## OBAngle() [2/3]

OBAngle | ( | OBAtom * | vertex,
|  | OBAtom * | a,
|  | OBAtom * | b )

protected

Angle constructor.

## OBAngle() [3/3]

OBAngle | ( | const OBAngle & | src | ) |

OBAngle copy constructor.

## ~OBAngle()

~OBAngle | ( |  | ) |

inline

## Member Function Documentation

## GetAtoms()

triple< OBAtom *, OBAtom *, OBAtom * > GetAtoms | ( |  | ) |

protected

Retrieves the 3 atom pointer for the angle (vertex first).

Returns
  triple of OBAtom pointers

## SortByIndex()

void SortByIndex | ( |  | ) |

protected

sorts atoms in angle by order of indices

Referenced by OBAngle(), SetAtoms(), and SetAtoms().

## operator=()

OBAngle & operator= | ( | const OBAngle & | src | ) |

OBAngle assignment operator.

## operator==()

bool operator== | ( | const OBAngle & | other | ) |

OBAngle equality operator, is same angle, NOT same value.

Returns
  boolean equality

## Clear()

void Clear | ( |  | ) |

Return OBAngle to its original state.

Referenced by OBMol::FindAngles().

## GetAngle()

double GetAngle | ( |  | ) | const

inline

Gets the OBAngle angle value

Returns
  angle in radians

## SetAngle()

void SetAngle | ( | double | angle | ) |

inline

Sets the OBAngle to `radians`

Parameters

  angle | in radians

## SetAtoms() [1/2]

void SetAtoms | ( | OBAtom * | vertex,
|  | OBAtom * | a,
|  | OBAtom * | b )

Sets the 3 atoms in the angle Parameters are pointers to each OBAtom.

Referenced by OBMol::FindAngles().

## SetAtoms() [2/2]

void SetAtoms | ( | triple< OBAtom *, OBAtom *, OBAtom * > & | atoms | ) |

Sets the 3 atoms in the angle.

Parameters

  atoms | a triple of OBAtom pointers, the first must be the vertex

## Friends And Related Symbol Documentation

## OBMol

friend class OBMol

friend

Referenced by OBMol.

## OBAngleData

friend class OBAngleData

friend

Referenced by OBAngleData.

## Member Data Documentation

## _vertex

OBAtom* _vertex

protected

Referenced by Clear(), GetAtoms(), OBAngle(), OBAngle(), OBAngle(), operator=(), operator==(), SetAtoms(), SetAtoms(), and ~OBAngle().

## _termini

std::pair<OBAtom*,OBAtom*> _termini

protected

Referenced by Clear(), GetAtoms(), OBAngle(), OBAngle(), OBAngle(), operator=(), operator==(), SetAtoms(), SetAtoms(), and SortByIndex().

## _radians

double _radians

protected

Referenced by Clear(), GetAngle(), OBAngle(), OBAngle(), operator=(), and SetAngle().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp